;; Spherique
;; Created by Michael Spunt <spuntik@gmx.de>
;; 2000-05-06

(require 'make-theme)

(let
    ((patterns-alist
      '(("maximize"
         (inactive
          "maximizei.png")
         (focused
          "maximize.png"))
        ("minimize"
         (inactive
          "minimizei.png")
         (focused
          "minimize.png"))
        ("close"
         (inactive
          "closei.png")
         (focused
          "close.png"))
        ("menu"
         (inactive
          "menui.png")
         (focused
          "menu.png"))
        ("titlel"
         (inactive
          "titleli.png")
         (focused
          "titlel.png"))
        ("titlem"
         (inactive
          "titlemi.png")
         (focused
          "titlem.png"))
        ("titler"
         (inactive
          "titleri.png")
         (focused
          "titler.png"))
        ("hborder"
         (inactive
          "hborderi.png")
         (focused
          "hborder.png"))
        ("vborder"
         (inactive
          "vborderi.png")
         (focused
          "vborder.png"))
        ("lucorner"
         (inactive
          "lucorneri.png")
         (focused
          "lucorner.png"))
        ("rucorner"
         (inactive
          "rucorneri.png")
         (focused
          "rucorner.png"))
        ("rdcorner"
         (inactive
          "rdcorneri.png")
         (focused
          "rdcorner.png"))
        ("ldcorner"
         (inactive
          "ldcorneri.png")
         (focused
          "ldcorner.png"))
        ("lcorner"
         (inactive
          "lcorneri.png")
         (focused
          "lcorner.png"))
        ("rcorner"
         (inactive
          "rcorneri.png")
         (focused
          "rcorner.png"))))

     (frames-alist
      '(("frame"
         ((top-edge . -30)
          (width . 20)
          (height . 20)
          (left-edge . 0)
          (background . "menu")
          (class . menu-button))
         ((right-edge . 50)
          (background . "maximize")
          (height . 20)
          (width . 20)
          (top-edge . -30)
          (class . maximize-button))
         ((right-edge . 25)
          (top-edge . -30)
          (background . "minimize")
          (height . 20)
          (width . 20)
          (class . iconify-button))
         ((right-edge . 0)
          (width . 20)
          (top-edge . -30)
          (background . "close")
          (height . 20)
          (class . close-button))
         ((width . 10)
          (left-edge . 30)
          (background . "titlel")
          (height . 20)
          (top-edge . -30)
          (class . title))
         ((left-edge . 40)
          (right-edge . 90)
          (x-justify . left)
          (y-justify . center)
          (text . window-name)
          (class . title)
          (background . "titlem")
          (height . 20)
          (top-edge . -30))
         ((top-edge . -30)
          (width . 10)
          (height . 20)
          (right-edge . 80)
          (class . title)
          (background . "titler"))
         ((top-edge . -5)
          (left-edge . 0)
          (right-edge . 0)
          (height . 5)
          (background . "hborder")
          (class . top-border))
         ((background . "vborder")
          (bottom-edge . 0)
          (top-edge . 0)
          (left-edge . -5)
          (width . 5)
          (class . left-border))
         ((background . "vborder")
          (width . 5)
          (bottom-edge . 0)
          (top-edge . 0)
          (right-edge . -5)
          (class . right-border))
         ((background . "hborder")
          (height . 5)
          (bottom-edge . -5)
          (right-edge . 0)
          (left-edge . 0)
          (class . bottom-border))
         ((background . "lucorner")
          (height . 5)
          (width . 5)
          (top-edge . -5)
          (left-edge . -5)
          (class . top-left-corner))
         ((background . "rucorner")
          (height . 5)
          (width . 5)
          (top-edge . -5)
          (right-edge . -5)
          (class . top-right-corner))
         ((background . "ldcorner")
          (height . 5)
          (width . 5)
          (bottom-edge . -5)
          (left-edge . -5)
          (class . bottom-left-corner))
         ((background . "rdcorner")
          (height . 5)
          (width . 5)
          (bottom-edge . -5)
          (right-edge . -5)
          (class . bottom-right-corner)))
        ("shaped"
         ((top-edge . -30)
          (height . 20)
          (width . 20)
          (left-edge . 0)
          (background . "menu")
          (class . menu-button))
         ((right-edge . 50)
          (background . "maximize")
          (height . 20)
          (width . 20)
          (top-edge . -30)
          (class . maximize-button))
         ((right-edge . 25)
          (top-edge . -30)
          (background . "minimize")
          (height . 20)
          (width . 20)
          (class . iconify-button))
         ((right-edge . 0)
          (width . 20)
          (top-edge . -30)
          (background . "close")
          (height . 20)
          (class . close-button))
         ((left-edge . 30)
          (width . 10)
          (background . "titlel")
          (height . 20)
          (top-edge . -30)
          (class . title))
         ((right-edge . 90)
          (left-edge . 40)
          (x-justify . left)
          (y-justify . center)
          (text . window-name)
          (class . title)
          (background . "titlem")
          (height . 20)
          (top-edge . -30))
         ((right-edge . 80)
          (class . title)
          (background . "titler")
          (height . 20)
          (width . 10)
          (top-edge . -30)))
        ("trans"
         ((right-edge . 0)
          (left-edge . 0)
          (top-edge . -5)
          (height . 5)
          (background . "hborder")
          (class . top-border))
         ((background . "vborder")
          (bottom-edge . 0)
          (top-edge . 0)
          (left-edge . -5)
          (width . 5)
          (class . left-border))
         ((background . "vborder")
          (width . 5)
          (bottom-edge . 0)
          (top-edge . 0)
          (right-edge . -5)
          (class . right-border))
         ((background . "hborder")
          (height . 5)
          (bottom-edge . -5)
          (right-edge . 0)
          (left-edge . 0)
          (class . bottom-border))
         ((background . "lucorner")
          (height . 5)
          (width . 5)
          (top-edge . -5)
          (left-edge . -5)
          (class . top-left-corner))
         ((background . "rucorner")
          (height . 5)
          (width . 5)
          (top-edge . -5)
          (right-edge . -5)
          (class . top-right-corner))
         ((background . "ldcorner")
          (height . 5)
          (width . 5)
          (bottom-edge . -5)
          (left-edge . -5)
          (class . bottom-left-corner))
         ((background . "rdcorner")
          (height . 5)
          (width . 5)
          (bottom-edge . -5)
          (right-edge . -5)
          (class . bottom-right-corner)))
        ("shaped-trans"
         ((top-edge . -30)
          (height . 20)
          (width . 20)
          (left-edge . 0)
          (background . "menu")
          (class . menu-button))
         ((right-edge . 50)
          (background . "maximize")
          (height . 20)
          (width . 20)
          (top-edge . -30)
          (class . maximize-button))
         ((right-edge . 25)
          (top-edge . -30)
          (background . "minimize")
          (height . 20)
          (width . 20)
          (class . iconify-button))
         ((right-edge . 0)
          (width . 20)
          (top-edge . -30)
          (background . "close")
          (height . 20)
          (class . close-button))
         ((left-edge . 30)
          (width . 10)
          (background . "titlel")
          (height . 20)
          (top-edge . -30)
          (class . title))
         ((right-edge . 90)
          (left-edge . 40)
          (x-justify . left)
          (y-justify . center)
          (text . window-name)
          (class . title)
          (background . "titlem")
          (height . 20)
          (top-edge . -30))
         ((right-edge . 80)
          (class . title)
          (background . "titler")
          (height . 20)
          (width . 10)
          (top-edge . -30))
         ((top-edge . -5)
          (left-edge . 0)
          (right-edge . 0)
          (height . 5)
          (background . "hborder")
          (class . top-border))
         ((top-edge . -5)
          (left-edge . -5)
          (background . "lcorner")
          (height . 5)
          (width . 5)
          (class . top-left-corner))
         ((background . "rcorner")
          (height . 5)
          (width . 5)
          (top-edge . -5)
          (right-edge . -5)
          (class . top-right-corner)))
        ("nil")))

     (mapping-alist
      '((default . "frame")
        (transient . "trans")
        (shaped . "shaped")
        (shaped-transient . "shaped-trans")
        (unframed . "nil")))


     (theme-name 'Spherique))


  (add-frame-style
   theme-name (make-theme patterns-alist frames-alist mapping-alist))
  (when (boundp 'mark-frame-style-editable)
    (mark-frame-style-editable theme-name)))